<?php


class ModelShippingfretedinamico extends Model {

    function getQuote($address) {
        $quote_data = array();
        $quote_data['fretedinamico'] = array(
            'code'         => 'fretedinamico.fretedinamico',
        	'title'        => $this->config->get('fretedinamico_opcao'),
        	'cost'         => $this->config->get('fretedinamico_valcalc'),
			'tax_class_id' => $this->config->get('item_tax_class_id'),
		    'text'         => $this->config->get('fretedinamico_valvisu'),
        );

        $method_data = array(
            'code'       => 'fretedinamico',
        	'title'      => $this->config->get('fretedinamico_subopcao'),
        	'quote'      => $quote_data,
        	'sort_order' => $this->config->get('fretedinamico_sort_order'),
            'error'      => false
        );

        return $method_data;
        
    }
}
?>